# PThread3Arg< Arg1Type, Arg2Type, Arg3Type > Class Template Reference

`#include <thread.h>`

Inheritance diagram for PThread3Arg< Arg1Type, Arg2Type, Arg3Type >:

List of all members.

## Public Types

typedef void(*) | FnType (Arg1Type arg1, Arg2Type arg2, Arg3Type arg3)

## Public Member Functions

| PThread3Arg (Arg1Type arg1, Arg2Type arg2, Arg3Type arg3, FnType function, bool autoDel=false)
| PThread3Arg (const char *file, int line, Arg1Type arg1, Arg2Type arg2, Arg3Type arg3, FnType function, bool autoDel=false)
virtual void | Main ()
| User override function for the main execution routine of the thread.

## Protected Attributes

FnType | m_function
Arg1Type | m_arg1
Arg2Type | m_arg2
Arg2Type | m_arg3

### template<typename Arg1Type, typename Arg2Type, typename Arg3Type>
class PThread3Arg< Arg1Type, Arg2Type, Arg3Type >

## Member Typedef Documentation

template<typename Arg1Type, typename Arg2Type, typename Arg3Type>

typedef void(*) PThread3Arg< Arg1Type, Arg2Type, Arg3Type >::FnType(Arg1Type arg1, Arg2Type arg2, Arg3Type arg3)

## Constructor & Destructor Documentation

template<typename Arg1Type, typename Arg2Type, typename Arg3Type>

PThread3Arg< Arg1Type, Arg2Type, Arg3Type >::PThread3Arg | ( | Arg1Type | arg1,
|  | Arg2Type | arg2,
|  | Arg3Type | arg3,
|  | FnType | function,
|  | bool | autoDel = `false` |
| ) |  |  | `[inline]`

template<typename Arg1Type, typename Arg2Type, typename Arg3Type>

PThread3Arg< Arg1Type, Arg2Type, Arg3Type >::PThread3Arg | ( | const char * | file,
|  | int | line,
|  | Arg1Type | arg1,
|  | Arg2Type | arg2,
|  | Arg3Type | arg3,
|  | FnType | function,
|  | bool | autoDel = `false` |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename Arg1Type, typename Arg2Type, typename Arg3Type>

virtual void PThread3Arg< Arg1Type, Arg2Type, Arg3Type >::Main | ( |  | ) | `[inline, virtual]`

User override function for the main execution routine of the thread.

A descendent class must provide the code that will be executed in the thread within this function.

Note that the correct way for a thread to terminate is to return from this function.

Implements PThread.

## Member Data Documentation

template<typename Arg1Type, typename Arg2Type, typename Arg3Type>

Arg1Type PThread3Arg< Arg1Type, Arg2Type, Arg3Type >::m_arg1 `[protected]`

template<typename Arg1Type, typename Arg2Type, typename Arg3Type>

Arg2Type PThread3Arg< Arg1Type, Arg2Type, Arg3Type >::m_arg2 `[protected]`

template<typename Arg1Type, typename Arg2Type, typename Arg3Type>

Arg2Type PThread3Arg< Arg1Type, Arg2Type, Arg3Type >::m_arg3 `[protected]`

template<typename Arg1Type, typename Arg2Type, typename Arg3Type>

FnType PThread3Arg< Arg1Type, Arg2Type, Arg3Type >::m_function `[protected]`

The documentation for this class was generated from the following file:

- thread.h